# modules/app_lcd/st7637/app_lcd.c File Reference

`#include <mios32.h>`
`#include <glcd_font.h>`
`#include "app_lcd.h"`
`#include "app_lcd_st7637.h"`

## Defines
#define | APP_LCD_D_PINS (GPIO_Pin_0|GPIO_Pin_1|GPIO_Pin_2|GPIO_Pin_3|GPIO_Pin_4|GPIO_Pin_5|GPIO_Pin_6|GPIO_Pin_7)
#define | APP_LCD_D_PORT GPIOC
#define | APP_LCD_BL_PORT GPIOB
#define | APP_LCD_BL_PIN GPIO_Pin_7
#define | APP_LCD_RS_PORT GPIOC
#define | APP_LCD_RS_PIN GPIO_Pin_8
#define | APP_LCD_RD_PORT GPIOC
#define | APP_LCD_RD_PIN GPIO_Pin_9
#define | APP_LCD_WR_PORT GPIOC
#define | APP_LCD_WR_PIN GPIO_Pin_10
#define | APP_LCD_CS_PORT GPIOC
#define | APP_LCD_CS_PIN GPIO_Pin_11
#define | APP_LCD_RST_PORT GPIOC
#define | APP_LCD_RST_PIN GPIO_Pin_12
#define | PIN_BL(b) { APP_LCD_BL_PORT->BSRR = (b) ? APP_LCD_BL_PIN : (APP_LCD_BL_PIN << 16); }
#define | PIN_RS(b) { APP_LCD_RS_PORT->BSRR = (b) ? APP_LCD_RS_PIN : (APP_LCD_RS_PIN << 16); }
#define | PIN_RD(b) { APP_LCD_RD_PORT->BSRR = (b) ? APP_LCD_RD_PIN : (APP_LCD_RD_PIN << 16); }
#define | PIN_WR(b) { APP_LCD_WR_PORT->BSRR = (b) ? APP_LCD_WR_PIN : (APP_LCD_WR_PIN << 16); }
#define | PIN_CS(b) { APP_LCD_CS_PORT->BSRR = (b) ? APP_LCD_CS_PIN : (APP_LCD_CS_PIN << 16); }
#define | PIN_RST(b) { APP_LCD_RST_PORT->BSRR = (b) ? APP_LCD_RST_PIN : (APP_LCD_RST_PIN << 16); }
## Functions
s32 | APP_LCD_Init (u32 mode)
s32 | APP_LCD_Data (u8 data)
s32 | APP_LCD_Cmd (u8 cmd)
s32 | APP_LCD_Clear (void)
s32 | APP_LCD_CursorSet (u16 column, u16 line)
s32 | APP_LCD_GCursorSet (u16 x, u16 y)
s32 | APP_LCD_SpecialCharInit (u8 num, u8 table[8])
s32 | APP_LCD_BColourSet (u32 rgb)
s32 | APP_LCD_FColourSet (u32 rgb)
s32 | APP_LCD_BitmapPixelSet (mios32_lcd_bitmap_t bitmap, u16 x, u16 y, u32 colour)
s32 | APP_LCD_BitmapPrint (mios32_lcd_bitmap_t bitmap)

## Define Documentation

#define APP_LCD_BL_PIN GPIO_Pin_7

#define APP_LCD_BL_PORT GPIOB

#define APP_LCD_CS_PIN GPIO_Pin_11

#define APP_LCD_CS_PORT GPIOC

#define APP_LCD_D_PINS (GPIO_Pin_0|GPIO_Pin_1|GPIO_Pin_2|GPIO_Pin_3|GPIO_Pin_4|GPIO_Pin_5|GPIO_Pin_6|GPIO_Pin_7)

#define APP_LCD_D_PORT GPIOC

#define APP_LCD_RD_PIN GPIO_Pin_9

#define APP_LCD_RD_PORT GPIOC

#define APP_LCD_RS_PIN GPIO_Pin_8

#define APP_LCD_RS_PORT GPIOC

#define APP_LCD_RST_PIN GPIO_Pin_12

#define APP_LCD_RST_PORT GPIOC

#define APP_LCD_WR_PIN GPIO_Pin_10

#define APP_LCD_WR_PORT GPIOC

#define PIN_BL | ( | b |  | ) | { APP_LCD_BL_PORT->BSRR = (b) ? APP_LCD_BL_PIN : (APP_LCD_BL_PIN << 16); }

#define PIN_CS | ( | b |  | ) | { APP_LCD_CS_PORT->BSRR = (b) ? APP_LCD_CS_PIN : (APP_LCD_CS_PIN << 16); }

#define PIN_RD | ( | b |  | ) | { APP_LCD_RD_PORT->BSRR = (b) ? APP_LCD_RD_PIN : (APP_LCD_RD_PIN << 16); }

#define PIN_RS | ( | b |  | ) | { APP_LCD_RS_PORT->BSRR = (b) ? APP_LCD_RS_PIN : (APP_LCD_RS_PIN << 16); }

#define PIN_RST | ( | b |  | ) | { APP_LCD_RST_PORT->BSRR = (b) ? APP_LCD_RST_PIN : (APP_LCD_RST_PIN << 16); }

#define PIN_WR | ( | b |  | ) | { APP_LCD_WR_PORT->BSRR = (b) ? APP_LCD_WR_PIN : (APP_LCD_WR_PIN << 16); }

## Function Documentation

s32 APP_LCD_BColourSet | ( | u32 | rgb | ) |

s32 APP_LCD_BitmapPixelSet | ( | mios32_lcd_bitmap_t | bitmap,
|  | u16 | x,
|  | u16 | y,
|  | u32 | colour |
| ) |  |  |

s32 APP_LCD_BitmapPrint | ( | mios32_lcd_bitmap_t | bitmap | ) |

Here is the call graph for this function:

s32 APP_LCD_Clear | ( | void |  | ) |

Here is the call graph for this function:

s32 APP_LCD_Cmd | ( | u8 | cmd | ) |

s32 APP_LCD_CursorSet | ( | u16 | column,
|  | u16 | line |
| ) |  |  |

s32 APP_LCD_Data | ( | u8 | data | ) |

s32 APP_LCD_FColourSet | ( | u32 | rgb | ) |

s32 APP_LCD_GCursorSet | ( | u16 | x,
|  | u16 | y |
| ) |  |  |

s32 APP_LCD_Init | ( | u32 | mode | ) |

Here is the call graph for this function:

s32 APP_LCD_SpecialCharInit | ( | u8 | num,
|  | u8 | table[8] |
| ) |  |  |